# Ensure file names are sorted consistently across platforms;
# e.g., m4/ulonglong_gl.m4 should follow m4/ulonglong.m4.
+# Also, ensure diagnostics are in English, e.g., "wget --help" below.
LC_ALL=C
export LC_ALL
echo "$0: Bootstrapping CVS $package..."
-build_cvs_prefix() {
- CVS_PREFIX=:${1}:
- if [ "${2}" != - ]; then
- CVS_PREFIX=${CVS_PREFIX}${2}@
- fi
+cleanup_gnulib() {
+ status=$?
+ rm -fr gnulib
+ exit $status
}
# Get gnulib files.
if [ ! -d gnulib ]; then
echo "$0: getting gnulib files..."
- trap exit 1 2 13 15
- trap 'rm -fr gnulib; exit 1' 0
-
- case ${CVS_AUTH-anoncvs} in
- anoncvs)
- CVS_PREFIX='anoncvs@';;
+ case ${CVS_AUTH-pserver} in
+ pserver)
+ CVS_PREFIX=':pserver:anonymous@';;
ssh)
CVS_PREFIX="$CVS_USER${CVS_USER+@}";;
*)
'') export CVS_RSH=ssh;;
esac
- cvs -z3 -q -d ${CVS_PREFIX}subversions.gnu.org:/cvsroot/gnulib co gnulib || exit
+ trap cleanup_gnulib 1 2 13 15
+
+ cvs -z3 -q -d ${CVS_PREFIX}cvs.savannah.gnu.org:/cvsroot/gnulib co gnulib ||
+ cleanup_gnulib
- trap - 0
+ trap - 1 2 13 15
fi
GNULIB_SRCDIR=gnulib
esac
<$GNULIB_SRCDIR/gnulib-tool || exit
gnulib_modules='
-alloca
argmatch
dirname
error
stdbool
stdio-safer
stpcpy
+strerror
+strtoul
+strverscmp
unistd-safer
+unlocked-io
+verify
xalloc
xalloc-die
xstrndup
cp -p $GNULIB_SRCDIR/$gnulib_file $dest || exit
done
+# This suppresses a bogus diagnostic
+# "warning: macro `AM_LANGINFO_CODESET' not found in library".
echo "$0: patching m4/gettext.m4 so that AM_INTL_SUBDIR is empty ..."
sed '
/^AC_DEFUN(\[AM_INTL_SUBDIR],/,/^]/c\
case $SKIP_PO in
'')
+ case `wget --help` in
+ *'--no-cache'*)
+ no_cache='--no-cache';;
+ *'--cache=on/off'*)
+ no_cache='--cache=off';;
+ *)
+ no_cache='';;
+ esac
+
echo "$0: getting translations into po (please ignore the robots.txt ERROR 404)..."
(cd po &&
rm -f dummy `ls | sed -n '/\.gmo$/p; /\.po/p'` &&
- wget -nv -nd -r -l 1 -A .po -C off \
+ wget -nv -nd -r -l 1 -A .po $no_cache \
http://www.iro.umontreal.ca/translation/maint/$package/ &&
ls *.po | sed 's/\.po$//' >LINGUAS
) || exit
echo "$0: getting translations into po (please ignore the robots.txt ERROR 404)..."
(cd runtime-po &&
rm -f dummy `ls | sed -n '/\.gmo$/p; /\.po$/p'` &&
- wget -nv -nd -r -l 1 -A .po -C off \
+ wget -nv -nd -r -l 1 -A .po $no_cache \
http://www.iro.umontreal.ca/translation/maint/$package-runtime/ &&
# For translations that have not yet been upgraded to the new